## GEM Scheduler GEM Scheduler — Helpers for querying scheduler capabilities |

## Functions

unsigned | gem_scheduler_capability ()
bool | gem_scheduler_enabled ()
bool | gem_scheduler_has_ctx_priority ()
bool | gem_scheduler_has_preemption ()
void | gem_scheduler_print_capability ()

## Types and Values

#define | LOCAL_I915_SCHEDULER_CAP_ENABLED
#define | LOCAL_I915_SCHEDULER_CAP_PRIORITY
#define | LOCAL_I915_SCHEDULER_CAP_PREEMPTION

## Description

This helper library contains functions used for getting information on currently used scheduling model.

## Functions

### gem_scheduler_capability ()

    unsigned
    gem_scheduler_capability (int fd);

#### Parameters

fd | open i915 drm file descriptor |

#### Returns

Scheduler capability bitmap.

### gem_scheduler_enabled ()

    bool
    gem_scheduler_enabled (int fd);

### gem_scheduler_has_ctx_priority ()

    bool
    gem_scheduler_has_ctx_priority (int fd);

### gem_scheduler_has_preemption ()

    bool
    gem_scheduler_has_preemption (int fd);

### gem_scheduler_print_capability ()

    void
    gem_scheduler_print_capability (int fd);

Helper for pretty-printing scheduler capability.

#### Parameters

fd | open i915 drm file descriptor |

## Types and Values

### LOCAL_I915_SCHEDULER_CAP_ENABLED

    #define LOCAL_I915_SCHEDULER_CAP_ENABLED (1 << 0)

### LOCAL_I915_SCHEDULER_CAP_PRIORITY

    #define LOCAL_I915_SCHEDULER_CAP_PRIORITY (1 << 1)

### LOCAL_I915_SCHEDULER_CAP_PREEMPTION

    #define LOCAL_I915_SCHEDULER_CAP_PREEMPTION (1 << 2)